org.apache.lucene.queries.function

## Class FunctionQuery.FunctionWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.lucene.queries.function.FunctionQuery.FunctionWeight

- Enclosing class:
    FunctionQuery

      protected class FunctionQuery.FunctionWeight
      extends Weight

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

      `Weight.DefaultBulkScorer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `boost`
    `protected Map` | `context`
    `protected float` | `queryNorm`
    `protected float` | `queryWeight`
    `protected IndexSearcher` | `searcher`

    - ### Fields inherited from class org.apache.lucene.search.Weight

      `parentQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionQuery.FunctionWeight(IndexSearcher searcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Explanation` | `explain(LeafReaderContext context, int doc)`
    `void` | `extractTerms(Set<Term> terms)`
    `float` | `getValueForNormalization()`
    `void` | `normalize(float norm, float boost)`
    `Scorer` | `scorer(LeafReaderContext context)`

    - ### Methods inherited from class org.apache.lucene.search.Weight

      `bulkScorer, getQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### searcher

          protected final IndexSearcher searcher

    - #### queryNorm

          protected float queryNorm

    - #### boost

          protected float boost

    - #### queryWeight

          protected float queryWeight

    - #### context

          protected final Map context

  - ### Constructor Detail

    - #### FunctionQuery.FunctionWeight

          public FunctionQuery.FunctionWeight(IndexSearcher searcher)
                                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### extractTerms

          public void extractTerms(Set<Term> terms)

      Specified by:
        `extractTerms` in class `Weight`

    - #### getValueForNormalization

          public float getValueForNormalization()
                                         throws IOException

      Specified by:
        `getValueForNormalization` in class `Weight`
      Throws:
        `IOException`

    - #### normalize

          public void normalize(float norm,
                       float boost)

      Specified by:
        `normalize` in class `Weight`

    - #### scorer

          public Scorer scorer(LeafReaderContext context)
                        throws IOException

      Specified by:
        `scorer` in class `Weight`
      Throws:
        `IOException`

    - #### explain

          public Explanation explain(LeafReaderContext context,
                            int doc)
                              throws IOException

      Specified by:
        `explain` in class `Weight`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.